LASTON -- Re-format LASTON.TXT and USER.LOG entries
Dave Wallace #1 @5806
Tue Dec 31 11:13:07 1991
+---------------------------------------------------------------------------+
| Mod Name:     LASTON.MOD                Mod Author: Dave Wallace (1@5806) |
| Difficulty:   simple                    Date:       12/30/91              |
| WWIV Version: 4.12                                                        |
| Description:  Re-formats & adds logon time to the entry in the LASTON.TXT |
|               and USER.LOG files, making for a more pleasing and more     |
|               informative report at logon or from the 'L' command.        |
| Status:       Initial Release                                             |
+---------------------------------------------------------------------------+

I'm a compulsive picture-straightener.  So I designed this mod to make the
report generated from the 'L' command tabulate the columns better.  And just
so the mod isn't totally trivial, I decided it might be nice to let the users
know WHEN people had been logging in, too.  Anyway, the change is less than
a screen's worth of code -- should take you all of ten minutes to do.

1.	Don't you think it's time you backed up the BBS?

2.	In File BBSUTL.C:

Find the function void logon().  Make the following change:

// -LASTON         sprintf(s,"%ld: %s   %s - %d",
// -LASTON               status.callernum1,
// -LASTON               nam(&thisuser,usernum),
// -LASTON               curspeed,
// -LASTON               thisuser.ontoday);
/* +LASTON */      sprintf(s,"%6ld: %-42s %10s - %3d   %s",
/* +LASTON */            status.callernum1,
/* +LASTON */            nam(&thisuser,usernum),
/* +LASTON */            curspeed,
/* +LASTON */            thisuser.ontoday,
/* +LASTON */            times());

3.	Re-compile.  (Should be quick; there's only one file affected.)

4.	There you are.  Of course, the users that already have logged in will
	still be reported in the ugly old-fashioned way, but that junk should
	scroll off in a few hours, so who cares?  And the newer logins will
	have this sexy new report.

A couple of notes:  First, the tabulation will break down when the caller
number exceeds 999,999.  No biggie, except the report record then exceeds 80
characters!  That's a problem.  If anybody's close to that logon count, it'd
be a good idea to adjust the format string.  You can sacrifice a few spaces
and do something like:
                        "%8ld: %-42s %10s - %3d %s"
If you ever need more than eight digits for caller number, I'll probably not be
around to complain to. :)

Second, I'd like to move the user number info to the right-hand end of the
field, by modding the nam() function in BBSUTL.C, but (1) I don't know what may
break if I did and (2) the user number would then be most of the way across the
screen, making it hard to associate it with a short handle.  So I left it alone
(for now, anyway).

Finally, I didn't check the 4.20 code, but there's a good chance that the same
change to the same function can be made there.  But logon() is probably in the
LILO.C file.  I leave that one as an excersize to the student...
